Bug 502909 - [QLogic 5.4 bug] qlge breaks PPC
[QLogic 5.4 bug] qlge breaks PPC
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
ppc64 Linux
high Severity high
: rc
: 5.4
Assigned To: Marcus Barrow
Red Hat Kernel QE team
: OtherQA
Depends On: 479288
Blocks: 460170
  Show dependency treegraph
 
Reported: 2009-05-27 13:52 EDT by Ameet Paranjape
Modified: 2013-03-07 19:56 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-16 09:07:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
handle 64k page size (1.16 KB, patch)
2009-07-15 23:51 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description Ameet Paranjape 2009-05-27 13:52:46 EDT
Description of problem:

From the RKML mailing list.  The latest version of the patch posted for Red Hat Bugzilla bug 479288 breaks IBM PowerPC.

> > +#define TX_DESC_PER_IOCB 8
> > +/* The maximum number of frags we handle is based
> > + * on PAGE_SIZE...
> > + */
> > +#if (PAGE_SHIFT == 12) || (PAGE_SHIFT == 13)	/* 4k & 8k pages */  <----here
> > +#define TX_DESC_PER_OAL ((MAX_SKB_FRAGS - TX_DESC_PER_IOCB) + 2)
> > +#else /* all other page sizes */
> > +#define TX_DESC_PER_OAL 0
> > +#endif

This needs to support 64K page sizes.

Please contact aparanja@redhat.com for any additional information.
Comment 1 Andrius Benokraitis 2009-07-09 10:29:56 EDT
Marcus - was this covered by another BZ?
Comment 4 Andrius Benokraitis 2009-07-14 09:03:53 EDT
Marcus - is this issue covered by another BZ? I see there are other ppc EEH issues still pending. Thank you!
Comment 5 Andrius Benokraitis 2009-07-14 09:06:25 EDT
More specifically, is bug 511141 the bug that should be tracking this?
Comment 6 Marcus Barrow 2009-07-15 23:51:00 EDT
Created attachment 353943 [details]
handle 64k page size


Allocate the same way for 4k, 8k and now 64k pages...
Comment 7 Marcus Barrow 2009-07-16 09:07:38 EDT
This patch is not required. The array of structures being allocated is being used for information that does not fit within a single page. With the 64k page size this is not an issue.

Note You need to log in before you can comment on or make changes to this bug.